package tourplaner.business;

import tourplaner.data.DbConnect;
import tourplaner.object.Log;
import tourplaner.object.Tour;

import java.io.*;
import java.util.ArrayList;

/**
 * Ist für das importieren und Exportieren der Daten zuständig
 */
public class Exporter {

    private ArrayList<Tour> touren;
    private String path;

    /**
     * Erstellt den Exporter mit dem gegebenen Path
     * @param path Gegebener Path
     */
    public Exporter(String path) {
        this.path = path;
    }

    /**
     * Führt den Export aus -> Holt daten, erstellt file
     * @throws IOException Fehler beim File erstellen
     */
    public void doExport() throws IOException {
        ArrayList<Tour> data = new DbConnect().getAllTouren();
        FileWriter fileWriter = new FileWriter(path + ".json");
        JsonHelper.getJsonFromObj(data, fileWriter);
        BufferedWriter bufferedWriter = new BufferedWriter(fileWriter);
        bufferedWriter.close();
    }

    /**
     * Führt den Imput aus -> File holen, Daten in db erstellen
     * @throws FileNotFoundException Fehler beim File öffnen
     */
    public void doImport() throws FileNotFoundException {
        this.touren = JsonHelper.getTourenFromJson(new FileReader(this.path));
        DbConnect dbConnect = new DbConnect();
        dbConnect.delAllData();
        for (Tour tour:this.touren) {
            dbConnect.addTour(tour);
            ArrayList<Log> logs = tour.getLogs();
            for (Log log:logs) {
                dbConnect.addLog(tour.getName(), log);
            }
        }
    }
}
